For the complete documentation index, see llms.txt. This page is also available as Markdown.

Category

Kategorien verwalten

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

*/*

Kategorie

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

hasChildrenbooleanRead-onlyOptional

Hat untergeordnete Kategorien (nur bei Kind-Kategorien gesetzt, deren Kinder nicht geladen werden)

customanyOptional

Search-Dialog

sortOrderinteger · int32Required

Sortierung

externalReferencestring · max: 255Optional

Externe Referenz

activebooleanRead-onlyOptional

Aktiv

Default: true
get/cmn/category/{id}
GET /api/cmn/category/{id} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "parentCategoryTreeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentCategoryRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "childCategories": [],
  "hasChildren": true,
  "labels": [],
  "custom": null,
  "sortOrder": 1,
  "externalReference": "text",
  "active": true
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body

Kategorie

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

hasChildrenbooleanRead-onlyOptional

Hat untergeordnete Kategorien (nur bei Kind-Kategorien gesetzt, deren Kinder nicht geladen werden)

customanyOptional

Search-Dialog

sortOrderinteger · int32Required

Sortierung

externalReferencestring · max: 255Optional

Externe Referenz

activebooleanRead-onlyOptional

Aktiv

Default: true
Responses
200

successful operation

*/*

Kategorie

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

hasChildrenbooleanRead-onlyOptional

Hat untergeordnete Kategorien (nur bei Kind-Kategorien gesetzt, deren Kinder nicht geladen werden)

customanyOptional

Search-Dialog

sortOrderinteger · int32Required

Sortierung

externalReferencestring · max: 255Optional

Externe Referenz

activebooleanRead-onlyOptional

Aktiv

Default: true
put/cmn/category/{id}
PUT /api/cmn/category/{id} HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
Content-Length: 200

{
  "version": "text",
  "info": {},
  "id": "text",
  "parentCategoryTreeRef": {
    "id": "text"
  },
  "parentCategoryRef": {
    "id": "text"
  },
  "childCategories": [],
  "labels": [],
  "custom": null,
  "sortOrder": 1,
  "externalReference": "text"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "parentCategoryTreeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentCategoryRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "childCategories": [],
  "hasChildren": true,
  "labels": [],
  "custom": null,
  "sortOrder": 1,
  "externalReference": "text",
  "active": true
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

*/*
contextstringOptional

message context

messageValuestringOptional

message

delete/cmn/category/{id}
DELETE /api/cmn/category/{id} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

deaktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

*/*

Kategorie

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

hasChildrenbooleanRead-onlyOptional

Hat untergeordnete Kategorien (nur bei Kind-Kategorien gesetzt, deren Kinder nicht geladen werden)

customanyOptional

Search-Dialog

sortOrderinteger · int32Required

Sortierung

externalReferencestring · max: 255Optional

Externe Referenz

activebooleanRead-onlyOptional

Aktiv

Default: true
put/cmn/category/{id}/deactivate
PUT /api/cmn/category/{id}/deactivate HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "parentCategoryTreeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentCategoryRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "childCategories": [],
  "hasChildren": true,
  "labels": [],
  "custom": null,
  "sortOrder": 1,
  "externalReference": "text",
  "active": true
}

aktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

*/*

Kategorie

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

hasChildrenbooleanRead-onlyOptional

Hat untergeordnete Kategorien (nur bei Kind-Kategorien gesetzt, deren Kinder nicht geladen werden)

customanyOptional

Search-Dialog

sortOrderinteger · int32Required

Sortierung

externalReferencestring · max: 255Optional

Externe Referenz

activebooleanRead-onlyOptional

Aktiv

Default: true
put/cmn/category/{id}/activate
PUT /api/cmn/category/{id}/activate HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "parentCategoryTreeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentCategoryRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "childCategories": [],
  "hasChildren": true,
  "labels": [],
  "custom": null,
  "sortOrder": 1,
  "externalReference": "text",
  "active": true
}

Erstellt eine neue Kategorie unter einem Kategorie-Baum

post
Path parameters
categoryTreeIdinteger · int64Required
Body

Kategorie

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

hasChildrenbooleanRead-onlyOptional

Hat untergeordnete Kategorien (nur bei Kind-Kategorien gesetzt, deren Kinder nicht geladen werden)

customanyOptional

Search-Dialog

sortOrderinteger · int32Required

Sortierung

externalReferencestring · max: 255Optional

Externe Referenz

activebooleanRead-onlyOptional

Aktiv

Default: true
Responses
201

Created

*/*

Kategorie

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

hasChildrenbooleanRead-onlyOptional

Hat untergeordnete Kategorien (nur bei Kind-Kategorien gesetzt, deren Kinder nicht geladen werden)

customanyOptional

Search-Dialog

sortOrderinteger · int32Required

Sortierung

externalReferencestring · max: 255Optional

Externe Referenz

activebooleanRead-onlyOptional

Aktiv

Default: true
post/cmn/category/tree/{categoryTreeId}
POST /api/cmn/category/tree/{categoryTreeId} HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
Content-Length: 200

{
  "version": "text",
  "info": {},
  "id": "text",
  "parentCategoryTreeRef": {
    "id": "text"
  },
  "parentCategoryRef": {
    "id": "text"
  },
  "childCategories": [],
  "labels": [],
  "custom": null,
  "sortOrder": 1,
  "externalReference": "text"
}
201

Created

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "parentCategoryTreeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentCategoryRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "childCategories": [],
  "hasChildren": true,
  "labels": [],
  "custom": null,
  "sortOrder": 1,
  "externalReference": "text",
  "active": true
}

Erstellt eine neue Kind-Kategorie unter einer bestehenden Kategorie

post
Path parameters
parentCategoryIdinteger · int64Required
Body

Kategorie

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

hasChildrenbooleanRead-onlyOptional

Hat untergeordnete Kategorien (nur bei Kind-Kategorien gesetzt, deren Kinder nicht geladen werden)

customanyOptional

Search-Dialog

sortOrderinteger · int32Required

Sortierung

externalReferencestring · max: 255Optional

Externe Referenz

activebooleanRead-onlyOptional

Aktiv

Default: true
Responses
201

Created

*/*

Kategorie

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

hasChildrenbooleanRead-onlyOptional

Hat untergeordnete Kategorien (nur bei Kind-Kategorien gesetzt, deren Kinder nicht geladen werden)

customanyOptional

Search-Dialog

sortOrderinteger · int32Required

Sortierung

externalReferencestring · max: 255Optional

Externe Referenz

activebooleanRead-onlyOptional

Aktiv

Default: true
post/cmn/category/parent/{parentCategoryId}
POST /api/cmn/category/parent/{parentCategoryId} HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
Content-Length: 200

{
  "version": "text",
  "info": {},
  "id": "text",
  "parentCategoryTreeRef": {
    "id": "text"
  },
  "parentCategoryRef": {
    "id": "text"
  },
  "childCategories": [],
  "labels": [],
  "custom": null,
  "sortOrder": 1,
  "externalReference": "text"
}
201

Created

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "parentCategoryTreeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentCategoryRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "childCategories": [],
  "hasChildren": true,
  "labels": [],
  "custom": null,
  "sortOrder": 1,
  "externalReference": "text",
  "active": true
}

Partial update existing category

patch
Path parameters
categoryIdinteger · int64Required

Kategorie-ID

Body

Kategorie

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

hasChildrenbooleanRead-onlyOptional

Hat untergeordnete Kategorien (nur bei Kind-Kategorien gesetzt, deren Kinder nicht geladen werden)

customanyOptional

Search-Dialog

sortOrderinteger · int32Required

Sortierung

externalReferencestring · max: 255Optional

Externe Referenz

activebooleanRead-onlyOptional

Aktiv

Default: true
Responses
200

OK

*/*

Kategorie

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

hasChildrenbooleanRead-onlyOptional

Hat untergeordnete Kategorien (nur bei Kind-Kategorien gesetzt, deren Kinder nicht geladen werden)

customanyOptional

Search-Dialog

sortOrderinteger · int32Required

Sortierung

externalReferencestring · max: 255Optional

Externe Referenz

activebooleanRead-onlyOptional

Aktiv

Default: true
patch/cmn/category/{categoryId}
PATCH /api/cmn/category/{categoryId} HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
Content-Length: 200

{
  "version": "text",
  "info": {},
  "id": "text",
  "parentCategoryTreeRef": {
    "id": "text"
  },
  "parentCategoryRef": {
    "id": "text"
  },
  "childCategories": [],
  "labels": [],
  "custom": null,
  "sortOrder": 1,
  "externalReference": "text"
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "parentCategoryTreeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "parentCategoryRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "childCategories": [],
  "hasChildren": true,
  "labels": [],
  "custom": null,
  "sortOrder": 1,
  "externalReference": "text",
  "active": true
}

Last updated

Was this helpful?